ONVIF::Analytics::Elements::Message(3)

NAME
ONVIF::Analytics::Elements::Message

DESCRIPTION
Perl data type class for the XML Schema defined element Message from the namespace http://www.onvif.org/ver10/schema.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Source

     $element->set_Source($data);
     $element->get_Source();

•   Key

     $element->set_Key($data);
     $element->get_Key();

•   Data

     $element->set_Data($data);
     $element->get_Data();

•   Extension

     $element->set_Extension($data);
     $element->get_Extension();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::Message->new($data);

Constructor. The following data structure may be passed to new():

 {
   Source =>  { # ONVIF::Analytics::Types::ItemList
     SimpleItem => ,
     ElementItem =>  {
     },
     Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
     },
   },
   Key =>  { # ONVIF::Analytics::Types::ItemList
     SimpleItem => ,
     ElementItem =>  {
     },
     Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
     },
   },
   Data =>  { # ONVIF::Analytics::Types::ItemList
     SimpleItem => ,
     ElementItem =>  {
     },
     Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::MessageExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL